跳转到主要内容
设置/AD/LDAP/OAuth相关接口
PUTAD/LDAP/OAuth Operations起始版本 0.6同步需要认证

使用AD/LDAP身份登录

使用AD/LDAP身份登录

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

请求体字段

  • loginbyldapObject必填

    loginbyldap 请求体结构

    • uidString必填

      暂无描述。

    • passwordString必填

      密码

    • captchaUuidString

      可选verification代码UUID。

    • verifyCodeString

      可选verification代码。

    • clientInfoMap

      可选客户端。

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    成功标志

  • errorErrorCode必填

    详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventorySessionInventory必填

    详情参考inventory

    • uuidString必填

      资源的UUID,唯一标示该资源

    • accountUuidString必填

      账户UUID

    • userUuidString必填

      用户UUID

    • expiredDateTimestamp必填

      会话过期日期

    • createDateTimestamp必填

      创建时间

  • accountInventoryAccountInventory必填

    详情参考accountInventory

    • uuidString必填

      资源的UUID,唯一标示该资源

    • nameString必填

      资源名称

    • descriptionString必填

      资源的详细描述

    • typeString必填

      账户类型(管理员,普通账户)

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

  • errorErrorCode必填

    详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

请求地址

PUT/zstack/v1/ldap/login

/zstack/v1/ldap/login

操作 ID

LogInByLdap

永久链接

请求示例

curl -X PUT 'http://{host}/zstack/v1/ldap/login' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"loginbyldap":{"uid":"<uid>","password":"<password>","captchaUuid":"<captchaUuid>","verifyCode":"<verifyCode>","clientInfo":{}},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "uuid": "2ce3cd4b2e5c441699edc09e612e916c", "accountUuid": "27df0ac39afd42eab643dfb1d448252b", "expiredDate": "Jun 7, 2017 9:20:34 PM" "noSessionEvaluation": false }, "accountInventory": { "uuid": "243382994e2643c18f5f5ec69305d866", "name": "test", "type": "Normal" } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史